package cokr.xit.fims.excl;

import cokr.xit.fims.cmmn.CmmnQuery;

/**부과제외 대장 정보 조회 요청
*
* <p>상세 설명:
*
* <pre>
* ============ 변경 이력 ============
* 2023-06-23	JoJH 최초 작성
* ================================
* </pre>
*/
public class LevyExclQuery extends CmmnQuery {

	private static final long serialVersionUID = 1L;

	// ID
	private String crdnId;														// 단속 ID
	private String[] levyExclIds;												// 부과제외 Ids
	private String levyExclId;													// 부과제외 ID
	private String[] opnnIds;													// 의견제출 Ids
	private String opnnId;														// 의견제출 ID
	private String mngId;														// 의견제출 심의 회원 ID
	private String[] reRegIds;													// 재등록 Ids
	private String reRegId;														// 재등록 ID

	// 검색 조건
	private String schLevyExclYmdFrom;											// 부과제외_부과제외 일자 시작
	private String schLevyExclYmdTo;											// 부과제외_부과제외 일자 종료
	private String schLevyExclSeCd;												// 부과제외_부과제외 구분 코드
	private String schLevyExclRsnCd;											// 부과제외_부과제외 구분 코드
	private String schRcptYmdFrom;												// 의견제출_접수 일자 시작
	private String schRcptYmdTo;												// 의견제출_접수 일자 종료
	private String schAnsYmdFrom;												// 의견제출_답변 일자 시작
	private String schAnsYmdTo;													// 의견제출_답변 일자 종료
	private String schOpnnSbmsnSttsCd;											// 의견제출_의견 제출 상태 코드
	private String schOpnnSbmsnSeCd;											// 의견제출_의견 제출 구분 코드
	private String schNtfctnSeCd;                                               // 의견제출_통보 구분 코드
	private String schSttrNm;													// 의견제출_진술자 명
	private String schReRegYmdFrom;												// 단속재등록_재등록 일자 시작
	private String schReRegYmdTo;												// 단속재등록_재등록 일자 종료
	// 상세 검색 조건
    private String schCrdnYmdFrom;                                              // 단속(TB_CRDN)_단속 일자 시작
    private String schCrdnYmdTo;                                                // 단속(TB_CRDN)_단속 일자 종료
    private String schVhrno;                                                    // 단속(TB_CRDN)_차량번호
    private String schRtpyrNo;                                                  // 납부자(TB_PAYER)_납부자 번호
    private String schRtpyrNm;                                                  // 납부자(TB_PAYER)_납부자 명

	// ETC
	private String callPurpose;													// infoDialog 호출 용도(view 조회(편집불가), create 등록, update 수정, refresh 재조회).
	private String delRsn;														// 삭제 사유
    private String levyExclSeCd;                                                // 부과제외_부과 제외 구분 코드
	private String ansRsnCd;													// 민원 답변 문구(TB_CVLCPT_ANS_WORDS) - 답변 사유 코드
	private String sndngRcvmtCd;												// 발송 수납 코드
	private String rtpyrNo;                                                     // 납부자(TB_PAYER)_납부자 번호

	public String getCrdnId() {
		return ifEmpty(crdnId, () -> null);
	}

	public void setCrdnId(String crdnId) {
		this.crdnId = crdnId;
	}

	public String[] getLevyExclIds() {
		return ifEmpty(levyExclIds, () -> null);
	}

	public void setLevyExclIds(String... levyExclIds) {
		this.levyExclIds = levyExclIds;
	}

	public String getLevyExclId() {
		return ifEmpty(levyExclId, () -> null);
	}

	public void setLevyExclId(String levyExclId) {
		this.levyExclId = levyExclId;
	}

	public String[]  getOpnnIds() {
		return ifEmpty(opnnIds, () -> null);
	}

	public void setOpnnIds(String... opnnIds) {
		this.opnnIds = opnnIds;
	}

	public String getOpnnId() {
		return ifEmpty(opnnId, () -> null);
	}

	public void setOpnnId(String opnnId) {
		this.opnnId = opnnId;
	}

	public String getMngId() {
		return ifEmpty(mngId, () -> null);
	}

	public void setMngId(String mngId) {
		this.mngId = mngId;
	}

	public String[] getReRegIds() {
		return ifEmpty(reRegIds, () -> null);
	}

	public void setReRegIds(String... reRegIds) {
		this.reRegIds = reRegIds;
	}

	public String getReRegId() {
		return ifEmpty(reRegId, () -> null);
	}

	public void setReRegId(String reRegId) {
		this.reRegId = reRegId;
	}

	public String getSchLevyExclYmdFrom() {
		return ifEmpty(schLevyExclYmdFrom, () -> null);
	}

	public void setSchLevyExclYmdFrom(String schLevyExclYmdFrom) {
		this.schLevyExclYmdFrom = schLevyExclYmdFrom;
	}

	public String getSchLevyExclYmdTo() {
		return ifEmpty(schLevyExclYmdTo, () -> null);
	}

	public void setSchLevyExclYmdTo(String schLevyExclYmdTo) {
		this.schLevyExclYmdTo = schLevyExclYmdTo;
	}

	public String getSchLevyExclSeCd() {
		return ifEmpty(schLevyExclSeCd, () -> null);
	}

	public void setSchLevyExclSeCd(String schLevyExclSeCd) {
		this.schLevyExclSeCd = schLevyExclSeCd;
	}

	public String getSchLevyExclRsnCd() {
		return ifEmpty(schLevyExclRsnCd, () -> null);
	}

	public void setSchLevyExclRsnCd(String schLevyExclRsnCd) {
		this.schLevyExclRsnCd = schLevyExclRsnCd;
	}

	public String getSchRcptYmdFrom() {
		return ifEmpty(schRcptYmdFrom, () -> null);
	}

	public void setSchRcptYmdFrom(String schRcptYmdFrom) {
		this.schRcptYmdFrom = schRcptYmdFrom;
	}

	public String getSchRcptYmdTo() {
		return ifEmpty(schRcptYmdTo, () -> null);
	}

	public void setSchRcptYmdTo(String schRcptYmdTo) {
		this.schRcptYmdTo = schRcptYmdTo;
	}

	public String getSchAnsYmdFrom() {
		return ifEmpty(schAnsYmdFrom, () -> null);
	}

	public void setSchAnsYmdFrom(String schAnsYmdFrom) {
		this.schAnsYmdFrom = schAnsYmdFrom;
	}

	public String getSchAnsYmdTo() {
		return ifEmpty(schAnsYmdTo, () -> null);
	}

	public void setSchAnsYmdTo(String schAnsYmdTo) {
		this.schAnsYmdTo = schAnsYmdTo;
	}

	public String getSchOpnnSbmsnSttsCd() {
		return ifEmpty(schOpnnSbmsnSttsCd, () -> null);
	}

	public void setSchOpnnSbmsnSttsCd(String schOpnnSbmsnSttsCd) {
		this.schOpnnSbmsnSttsCd = schOpnnSbmsnSttsCd;
	}

	public String getSchOpnnSbmsnSeCd() {
		return ifEmpty(schOpnnSbmsnSeCd, () -> null);
	}

	public void setSchOpnnSbmsnSeCd(String schOpnnSbmsnSeCd) {
		this.schOpnnSbmsnSeCd = schOpnnSbmsnSeCd;
	}

    public String getSchNtfctnSeCd() {
        return ifEmpty(schNtfctnSeCd, () -> null);
    }

    public void setSchNtfctnSeCd(String schNtfctnSeCd) {
        this.schNtfctnSeCd = schNtfctnSeCd;
    }

	public String getSchSttrNm() {
		return ifEmpty(schSttrNm, () -> null);
	}

	public void setSchSttrNm(String schSttrNm) {
		this.schSttrNm = schSttrNm;
	}

	public String getSchReRegYmdFrom() {
		return ifEmpty(schReRegYmdFrom, () -> null);
	}

	public void setSchReRegYmdFrom(String schReRegYmdFrom) {
		this.schReRegYmdFrom = schReRegYmdFrom;
	}

	public String getSchReRegYmdTo() {
		return ifEmpty(schReRegYmdTo, () -> null);
	}

	public void setSchReRegYmdTo(String schReRegYmdTo) {
		this.schReRegYmdTo = schReRegYmdTo;
	}

	// 상세 검색 조건 ///////////////////////////////////////////////////////////////
    public String getSchCrdnYmdFrom() {
        return ifEmpty(schCrdnYmdFrom, () -> null);
    }

    public void setSchCrdnYmdFrom(String schCrdnYmdFrom) {
        this.schCrdnYmdFrom = schCrdnYmdFrom;
    }

    public String getSchCrdnYmdTo() {
        return ifEmpty(schCrdnYmdTo, () -> null);
    }

    public void setSchCrdnYmdTo(String schCrdnYmdTo) {
        this.schCrdnYmdTo = schCrdnYmdTo;
    }

    public String getSchVhrno() {
        return ifEmpty(schVhrno, () -> null);
    }

    public void setSchVhrno(String schVhrno) {
        this.schVhrno = schVhrno;
    }

    public String getSchRtpyrNo() {
        return ifEmpty(schRtpyrNo, () -> null);
    }

    public void setSchRtpyrNo(String schRtpyrNo) {
        this.schRtpyrNo = schRtpyrNo;
    }

    public String getSchRtpyrNm() {
        return ifEmpty(schRtpyrNm, () -> null);
    }

    public void setSchRtpyrNm(String schRtpyrNm) {
        this.schRtpyrNm = schRtpyrNm;
    }
	// 상세 검색 조건 ///////////////////////////////////////////////////////////////

	// ETC /////////////////////////////////////////////////////////////////////
	public String getCallPurpose() {
		return ifEmpty(callPurpose, () -> null);
	}

	public void setCallPurpose(String callPurpose) {
		this.callPurpose = callPurpose;
	}

	public String getDelRsn() {
		return ifEmpty(delRsn, () -> null);
	}

	public void setDelRsn(String delRsn) {
		this.delRsn = delRsn;
	}

	public String getLevyExclSeCd() {
        return ifEmpty(levyExclSeCd, () -> null);
    }

    public void setLevyExclSeCd(String levyExclSeCd) {
        this.levyExclSeCd = levyExclSeCd;
    }

	public String getAnsRsnCd() {
		return ifEmpty(ansRsnCd, () -> null);
	}

	public void setAnsRsnCd(String ansRsnCd) {
		this.ansRsnCd = ansRsnCd;
	}

	public String getSndngRcvmtCd() {
		return ifEmpty(sndngRcvmtCd, () -> null);
	}

	public void setSndngRcvmtCd(String sndngRcvmtCd) {
		this.sndngRcvmtCd = sndngRcvmtCd;
	}

    public String getRtpyrNo() {
        return ifEmpty(rtpyrNo, () -> null);
    }

    public void setRtpyrNo(String rtpyrNo) {
        this.rtpyrNo = rtpyrNo;
    }
	// ETC /////////////////////////////////////////////////////////////////////

}
